Skip to main content
POST
/
ping-post
/
v3
/
leads
Create Lead Application
curl --request POST \
  --url https://develop.qa.credible.com/api/partners/personal/ping-post/v3/leads \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data @- <<EOF
{
  "requestedLoanAmount": 9999,
  "loanPurpose": "debt_consolidation",
  "borrower": {
    "email": "[email protected]",
    "firstName": "Great",
    "lastName": "Credibletest",
    "phone": "7777777777",
    "dob": "19881014",
    "ssn": "1451"
  },
  "address": {
    "city": "Bloomsburg",
    "state": "PA",
    "street": "378 East Street",
    "zipcode": "17815"
  },
  "employment": {
    "status": "employed_full_time",
    "incomeYearly": 90000
  },
  "housing": {
    "type": "rent",
    "monthlyPayment": 1200
  },
  "disclosuresText": {
    "personal.tcpa.consent": "<p>I agree to receive marketing calls/SMS/text messages (data rates may apply/frequency varies) at the phone number I provided, including via auto-dialers, prerecorded, and/or artificial voice messages, from Credible and <a href=\"https://www.credible.com/lending-partners\" target=\"_blank\">its network of financial services partners</a>, including AmOne and Accredited Debt Relief, even if my phone number is on any company-specific, state, or federal Do Not Call list. There is no requirement to give your consent to purchase any financial goods/services, and you may revoke your consent at any time. To access Credible's services without consenting to phone calls or texts, please call 1-866-540-6005.</p>\\n",
    "personal.consent": "<ul>\\n<li>I agree and consent to Credible's <a href=\"https://www.credible.com/terms\" title=\"Terms of Service\" target=\"_blank\">Terms of Service</a>, <a href=\"https://www.credible.com/privacy\" title=\"Privacy Policy\" target=\"_blank\">Privacy Policy</a> and <a href=\"https://www.credible.com/terms#electronic-communication-consent\" title=\"ESIGN Disclosure and Agreement\" target=\"_blank\">ESIGN Disclosure and Agreement</a>; and to Credible’s Network Partner’s <a href=\"https://secure.amone.com/info/termsofuse.jsp?fromSite=amone\" title=\"Terms of Use\" target=\"_blank\">Terms of Use</a>, <a href=\"https://www.quinstreet.com/privacy-notice/\" title=\"Privacy Policy\" target=\"_blank\">Privacy Policy</a> and <a href=\"https://secure.amone.com/info/termsofuse.jsp?fromSite=amone#12\" title=\"ESIGN Disclosure and Agreement\" target=\"_blank\">ESIGN Disclosure and Agreement</a>.</li>\\n<li>I instruct Credible to share my info with its <a href=\"https://www.credible.com/lending-partners\" title=\"financial services partners\" target=\"_blank\">financial services partners</a>, including Alternative Providers such as Accredited Debt Relief, and further instruct Credible’s partners to share my information back with Credible.</li>\\n<li>I instruct Credible <a href=\"https://www.credible.com/lenders/lendingpartners\" title=\"its Network Partner, and their lending and other partners\" target=\"_blank\">its Network Partner, and their lending and other partners</a>, including Alternative Providers, to perform a <a href=\"https://www.credible.com/terms#credit-inquiries\" title=\"soft credit check\" target=\"_blank\">soft credit check</a> now, and Credible to perform soft credit checks in the future as long as I have an account for purposes including: prequalification, letting me view my credit information, monitoring my credit for changes, <a href=\"https://www.credible.com/terms#credit-inquiries\" title=\"data analysis\" target=\"_blank\">data analysis</a>, personalized marketing, <a href=\"https://www.credible.com/terms#credit-inquiries\" title=\"verifying loan receipt\" target=\"_blank\">verifying loan receipt</a>, setting fees with lenders, and additional reasons in the <a href=\"https://www.credible.com/terms#credit-inquiries\" title=\"Terms of Service\" target=\"_blank\">Terms of Service</a>.</li>\\n</ul>\\n"
  }
}
EOF

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Body

application/json

Create Personal Loans Ping Post Lead Application

requestedLoanAmount
integer<int32>
required
Required range: 1000 <= x <= 200000
Example:

9999

loanPurpose
enum<string>
required
Available options:
credit_card_refinancing,
debt_consolidation,
home_improvement,
major_purchase,
home_buying,
car_financing,
green_loan,
business,
vacation,
moving_relocation,
medical_expenses,
wedding,
motorcycle,
rv,
boat,
taxes,
baby_or_adoption,
engagement_ring_financing,
cosmetic_procedures,
special_occasion,
other
Example:

"debt_consolidation"

borrower
object
required
address
object
required
employment
object
required
housing
object
required
disclosuresText
object
required
partnerLeadId
string
Example:

"partner-lead-id"

partnerCampaignId
string
Example:

"1373"

partnerPassedData
object

Response

201

Create Personal Loans Ping Post Lead Application